Get a Toolzz Bot
Endpoint used to get a Toolzz Bot.
Request Example
Section titled “Request Example”curl --request GET \ --url 'https://bots.toolzz.ai/api/v1/toolzz/{typebotId}' \ --header 'Authorization: Bearer <token>'Response Example
Section titled “Response Example”{ "typebot": { "version": "<string>", "id": "<string>", "name": "<string>", "events": [ { "id": "<string>", "outgoingEdgeId": "<string>", "graphCoordinates": { "x": 0, "y": 0 }, "type": "<string>" } ], "groups": [ { "id": "<string>", "title": "<string>", "graphCoordinates": { "x": 0, "y": 0 }, "Blocks": [ { "id": "<string>", "type": "<string>", "content": "<string>" } ], "Edge": [] } ], "variables": [], "theme": {}, "settings": {}, "createdAt": "<string>", "updatedAt": "<string>", "icon": "<string>", "folderId": "<string>", "workspaceId": "<string>", "resultsTablePreferences": null, "isArchived": false, "isClosed": false }, "currentUserMode": "<string>"}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (must contain “Bearer” before the token) | Yes |
URL Parameters (Path)
Section titled “URL Parameters (Path)”| Parameter | Type | Description | Required |
|---|---|---|---|
typebotId | string | The unique identifier of the bot to get. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
typebot | object[] | Toolzz Bot information. |
typebot.version | string | The current version of the platform. |
typebot.id | string | Unique identifier for the bot. |
typebot.name | string | The Toolzz Bot name. |
typebot.events | object[] | The events that occurred on the bot flow. |
typebot.events[].id | string | Unique identifier for a flow event. |
typebot.events[].outgoingEdgeId | string | Unique identifier for a specific block in the flow. |
typebot.events[].graphCoordinates | object | The positioning of the block. |
typebot.events[].graphCoordinates.x | number | The X coordinate for positioning. |
typebot.events[].graphCoordinates.y | number | The Y coordinate for positioning. |
typebot.events[].type | string | The type of the block. |
typebot.groups | object[] | The bot group information. |
typebot.groups[].id | string | Unique identifier for a group. |
typebot.groups[].title | string | The title of the group. |
typebot.groups[].graphCoordinates | object | The positioning of the group. |
typebot.groups[].Blocks | object[] | The blocks within the group. |
typebot.groups[].Blocks[].id | string | The unique identifier of the block. |
typebot.groups[].Blocks[].type | string | The type of the block. |
typebot.groups[].Blocks[].content | string | The content of the block. |
typebot.groups[].Edge | object[] | The edge positioning of the block. |
typebot.variables | object[] | The variables related to the bot. |
typebot.theme | object[] | The pre-set theme of the bot. |
typebot.settings | object[] | The settings related to the bot. |
typebot.createdAt | string | The bot creation date. |
typebot.updatedAt | string | The bot last update date. |
typebot.icon | string | The visual appearance of the bot. |
typebot.folderId | string | The unique identifier for the bot folder. |
typebot.workspaceId | string | The unique identifier for the bot workspace. |
typebot.resultsTablePreferences | string | The preferences for the results table of the bot. |
typebot.isArchived | boolean | Indicates whether the bot is archived. |
typebot.isClosed | boolean | Indicates whether the bot is closed. |
currentUserMode | string | The type of user mode. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request.